#
#	Instructions
#	
#	Metro Map Project
#
#	Date: 	Aug 31, 2007
#			Sep	02, 2007 (latest revision)
#
#	Language:	R
#
#	(**)	Internet connection required
#

#	(**)	Internet connection required
install.packages("foreign")
install.packages("survival")
install.packages("session")
install.packages("frailtypack")

library(foreign)
library(survival)
library(session)
library(frailtypack)

# 	updating packages

update.packages(ask='graphics')

#	reading the data

GroupA <- read.csv("/home/jms/animal/thesis/stats/sep/Data/Group_A.csv", header = TRUE, sep = ",", quote="\"", dec=".", fill = TRUE)
GroupB <- read.csv("/home/jms/animal/thesis/stats/sep/Data/Group_B.csv", header = TRUE, sep = ",", quote="\"", dec=".", fill = TRUE)
GroupC <- read.csv("/home/jms/animal/thesis/stats/sep/Data/Group_C.csv", header = TRUE, sep = ",", quote="\"", dec=".", fill = TRUE)


#	independent analysis by groups

#	Group A
GroupA$Map <- as.factor(GroupA$Map)
GroupA$Qgrp <- as.factor(GroupA$Qgrp)
GroupA.Surv <- frailtyPenal(Surv(Time.s.,Correct) ~ Map + cluster(Login), n.knots=12, kappa1=1000, data=GroupA, cross.validation=TRUE, Frail=TRUE)
plot(GroupA.Surv, type="surv", conf=TRUE)
GroupA.Surv
summary(GroupA.Surv)


#	Group B
GroupB$Map <- as.factor(GroupB$Map)
GroupB$Qgrp <- as.factor(GroupB$Qgrp)
GroupB.Surv <- frailtyPenal(Surv(Time.s.,Correct) ~ Map + cluster(Login), n.knots=12, kappa1=1000, data=GroupB, cross.validation=TRUE, Frail=TRUE)
plot(GroupB.Surv, type="surv", conf=TRUE)
GroupB.Surv
summary(GroupB.Surv)

#	Group C
GroupC$Map <- as.factor(GroupC$Map)
GroupC$Qgrp <- as.factor(GroupC$Qgrp)
GroupC.Surv <- frailtyPenal(Surv(Time.s.,Correct) ~ Map + cluster(Login), n.knots=12, kappa1=1000, data=GroupC, cross.validation=TRUE, Frail=TRUE)
plot(GroupC.Surv, type="surv", conf=TRUE)
GroupC.Surv
summary(GroupC.Surv)

#------------------------------------
#	analysis with grouped data
# merging the data in a single object
# attach(GroupA)
# attach(GroupB)
# attach(GroupC)
# MetroMap <- rbind(GroupA, GroupB)
# MetroMap <- rbind(MetroMap, GroupC)
#
# MetroMap$Map <- as.factor(MetroMap$Map)
# MetroMap$Qgrp <- as.factor(MetroMap$Qgrp)
#
# MetroMap.Surv <- frailtyPenal(Surv(Time.s.,Correct) ~ Map + strata(Qgrp) + cluster(Login), n.knots=12, kappa1=1000, data=MetroMap, cross.validation=TRUE, Frail=TRUE)
#
# plot(MetroMap.Surv, type="surv", conf=TRUE)
#------------------------------------

# 	Saving the output

save.session("E:/Statistics.MetroMaps/Code/MetroMap_Out.Rda")

#	Loading the output saved

library(session)
load("E:/Statistics.MetroMaps/Code/MetroMap_Out.Rda")

#
#	--	END	--